<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [git-documentdb](./git-documentdb.md) &gt; [Validator](./git-documentdb.validator.md) &gt; [testWindowsInvalidFileNameCharacter](./git-documentdb.validator.testwindowsinvalidfilenamecharacter.md)

## Validator.testWindowsInvalidFileNameCharacter() method

Return false if given name includes Windows invalid filename character

<b>Signature:</b>

```typescript
testWindowsInvalidFileNameCharacter(name: string, options?: {
        allow_slash?: boolean;
        allow_drive_letter?: boolean;
        allow_directory_dot?: boolean;
    }): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string |  |
|  options | { allow\_slash?: boolean; allow\_drive\_letter?: boolean; allow\_directory\_dot?: boolean; } |  |

<b>Returns:</b>

boolean

